Bug 4601 - [UPDATE REQUEST] linux-firmware-20141030
: [UPDATE REQUEST] linux-firmware-20141030
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-30 16:33 MSK by Eugene Shatokhin
Modified: 2014-11-06 18:12 MSK (History)
3 users (show)

See Also:
RPM Package: linux-firmware
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-10-30 16:33:07 MSK
Upstream update to the latest git revision, 0e5f6377 at the time of this writing.
Comment 1 Eugene Shatokhin 2014-10-30 16:34:57 MSK
Advisory:
linux-firmware has been updated to the revision 0e5f6377 (20141030).
Changes since the previous release:
as102: add firmware for Abilis Systems Single DVB-T Receiver
bnx2x: Add FW 7.10.51
cxgb4: Update firmware to revision 1.11.27.0
firmware: qat: QAT_dh895 - Removed unnecessary dma read.
fw_sst_0f28: Add firmware for Intel Baytrail SST DSP
iwlwifi: update firmware for 3160 / 7260 / 7265
linux-firmware: Add firmware patch for Intel Bluetooth 7265 ROM-spin(D0)
linux-firmware: add firmware v3.25.0.0 for ITEtech IT9135 DVB-T USB driver
linux-firmware: Add Intel BT firmware for 3160
linux-firmware: Updated firmware patch for Intel Bluetooth 7265
linux-firmware: Update firmware patch for Intel BT 7260
Move metadata for intel/fw_sst_0f28.bin-48kHz_i2s_master into WHENCE
qla2xxx: Update ql2{4,5}00_fw.bin to version 7.03.00
radeon: add new firmware for the UVD block on older asics
radeon: add updated firmware for radeon GPUs
rtl_nic: add firmware for RTL8168H and RTL8107E
Update firmware for rtl8192ce
Update firmware for rtl8192de
Update firmware for rtl8723be
Update firmware for rtl8821ae
wl18xx: add version 4 of the wl18xx firmware
xc4000: add firmware for Xceive xc4000 tuner driver
xc5000: Add firmware for xc5000c variant
xhci-rcar: add firmware for R-Car H2/M2 USB 3.0 host controller

Build lists:

i586:
https://abf.rosalinux.ru/build_lists/2325864

x86_64:
https://abf.rosalinux.ru/build_lists/2325865
Comment 2 Eugene Shatokhin 2014-10-30 16:39:05 MSK
Примечания по тестированию.

Стоит, как минимум, проверить, что после обновления не появилось новых проблем с:
- графикой AMD, при использовании свободного драйвера (radeon);
- WiFi для адаптеров от Intel (особенно - серии 3160, 7260, 7265) и Realtek;
- Bluetooth (для адаптеров от Intel);
- USB 3.0.
Comment 3 FirstLevel 2014-10-31 12:11:08 MSK
Update goes well for 32bit and 64bit
Comment 4 FirstLevel 2014-11-06 12:01:48 MSK
(In reply to comment #2)
> Стоит, как минимум, проверить, что после обновления не появилось новых
> проблем с:
> - графикой AMD, при использовании свободного драйвера (radeon);

На моем ноуте с AMD A4 с обновленным фирмваре при переходе от fglrx на radeon наблюдается картина, что максимальное разрешение 1024х768 (вместо 1366х768). Наблюдал такое на 64битной системе два раза, когда переходил со старого fglrx и с нового.
Comment 5 FirstLevel 2014-11-06 12:22:06 MSK
(In reply to comment #4)
> (In reply to comment #2)
> > Стоит, как минимум, проверить, что после обновления не появилось новых
> > проблем с:
> > - графикой AMD, при использовании свободного драйвера (radeon);
> 
> На моем ноуте с AMD A4 с обновленным фирмваре при переходе от fglrx на
> radeon наблюдается картина, что максимальное разрешение 1024х768 (вместо
> 1366х768). Наблюдал такое на 64битной системе два раза, когда переходил со
> старого fglrx и с нового.

Поправка.
Видимо ноут такой проблемный. Откатил фирмваре назад - проблема не ушла. Т.е. это не регрессия фирмваре, а проблема конкретного ноутбука.
Comment 6 Vladimir Potapov 2014-11-06 16:01:33 MSK
У меня на одной тестовой, впервые за росиную историю, заработал с новым фирмварем блютус (интел)
Comment 7 Andrey Ponomarenko 2014-11-06 17:38:46 MSK
testrack x86_64 + Radeon (free driver) + linux-firmware-20141030 Ok: http://hw.rosalinux.ru/index.php?probe=7dbb4c567a
Comment 8 Vladimir Potapov 2014-11-06 18:01:15 MSK
linux-firmware-20141030-8.git0e5f6377
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2325864/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2325865/x86_64/main/release/
**************************** Advisory ******************
linux-firmware has been updated to the revision 0e5f6377 (20141030).
*************************** Changelog ******************
Changes since the previous release:
as102: add firmware for Abilis Systems Single DVB-T Receiver
bnx2x: Add FW 7.10.51
cxgb4: Update firmware to revision 1.11.27.0
firmware: qat: QAT_dh895 - Removed unnecessary dma read.
fw_sst_0f28: Add firmware for Intel Baytrail SST DSP
iwlwifi: update firmware for 3160 / 7260 / 7265
linux-firmware: Add firmware patch for Intel Bluetooth 7265 ROM-spin(D0)
linux-firmware: add firmware v3.25.0.0 for ITEtech IT9135 DVB-T USB driver
linux-firmware: Add Intel BT firmware for 3160
linux-firmware: Updated firmware patch for Intel Bluetooth 7265
linux-firmware: Update firmware patch for Intel BT 7260
Move metadata for intel/fw_sst_0f28.bin-48kHz_i2s_master into WHENCE
qla2xxx: Update ql2{4,5}00_fw.bin to version 7.03.00
radeon: add new firmware for the UVD block on older asics
radeon: add updated firmware for radeon GPUs
rtl_nic: add firmware for RTL8168H and RTL8107E
Update firmware for rtl8192ce
Update firmware for rtl8192de
Update firmware for rtl8723be
Update firmware for rtl8821ae
wl18xx: add version 4 of the wl18xx firmware
xc4000: add firmware for Xceive xc4000 tuner driver
xc5000: Add firmware for xc5000c variant
xhci-rcar: add firmware for R-Car H2/M2 USB 3.0 host controller
********************************************
QA Verified